Bug 241870 - Module vfs_full_audit logs unwanted operation types
Module vfs_full_audit logs unwanted operation types
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: samba (Show other bugs)
4.5
All Linux
low Severity medium
: ---
: ---
Assigned To: Samba Maint Team
: OtherQA
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-31 06:21 EDT by Jose Plans
Modified: 2010-10-22 11:23 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHEA-2007-0698
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 11:15:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vfs_full_audit fix (2.01 KB, patch)
2007-05-31 06:21 EDT, Jose Plans
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Samba Project 2451 None None None Never

  None (edit)
Description Jose Plans 2007-05-31 06:21:10 EDT
Description of problem:

The customer is running the Stackable VFS (Virtual File System) module
full_audit at /usr/lib/samba/vfs/full_audit.so by adding the following lines to
a share in /etc/samba/smb.conf

[share]
  comment = global share
  path = /home/share
  read only = no
  vfs object = full_audit
  full_audit:failure = all
  full_audit:success = all

The following commands are executed from the command line DOS prompt on a
Windows XP client.
Z:
Z: >date /T > 0000.txt

Z: >attrib 0000.txt

Z: >attrib +R 0000.txt
Access denied - Z: 0000.txt

When using the full_audit module, only chmod_acl is done, and the following
error is found in the Samba server logs:

    May 20 04:53:23 director smbd_audit: sbaba|192.168.17.1|chmod_acl|fail (No
data available)|00003.xls|440

Version-Release number of selected component (if applicable):
3.0.10*

How reproducible:
Always

Additional info:
Fixed upstream r.5810 bz.2451
Fix tested and confirmed to solve the problem by the reporter / customer too.
Comment 1 Jose Plans 2007-05-31 06:21:11 EDT
Created attachment 155788 [details]
vfs_full_audit fix
Comment 2 RHEL Product and Program Management 2007-05-31 06:24:11 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 John Poelstra 2007-08-28 20:11:39 EDT
A fix for this issue should have been included in the packages contained in the
RHEL4.6 Beta released on RHN (also available at partners.redhat.com).  

Requested action: Please verify that your issue is fixed to ensure that it is
included in this update release.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to FAILS_QA.

If you cannot access bugzilla, please reply with a message to Issue Tracker and
I will change the status for you.  If you need assistance accessing
ftp://partners.redhat.com, please contact your Partner Manager.
Comment 8 John Poelstra 2007-09-05 18:22:13 EDT
A fix for this issue should have been included in the packages contained in 
the RHEL4.6-Snapshot1 on partners.redhat.com.  

Requested action: Please verify that your issue is fixed to ensure that it is 
included in this update release.

After you (Red Hat Partner) have verified that this issue has been addressed, 
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent 
symptoms of the problem you are having and change the status of the bug to 
FAILS_QA.

If you cannot access bugzilla, please reply with a message about your test 
results to Issue Tracker.  If you need assistance accessing 
ftp://partners.redhat.com, please contact your Partner Manager.
Comment 9 John Poelstra 2007-09-11 20:42:02 EDT
A fix for this issue should be included in RHEL4.6-Snapshot2--available soon on
partners.redhat.com.  

Please verify that your issue is fixed to ensure that it is included in this
update release.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to FAILS_QA.

If you cannot access bugzilla, please reply with a message about your test
results to Issue Tracker.  If you need assistance accessing
ftp://partners.redhat.com, please contact your Partner Manager.
Comment 10 Mike O'Reilly 2007-09-12 12:31:10 EDT
Verified that the RHEL4.6 Beta Samba packages resolve this issue.
Comment 12 errata-xmlrpc 2007-11-15 11:15:27 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2007-0698.html

Note You need to log in before you can comment on or make changes to this bug.